/*
	This file is part of lgob.

	lgob is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgob is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgob.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 - 2009 Lucas Hermann Negri
*/

#ifndef LGOBGST_LGOBGST
#define LGOBGST_LGOBGST

/* Lua */
#include <lua.h>
#include <lauxlib.h>

/* C */
#include <stdlib.h>

/* GStreamer */
#include <gst/gst.h>
#include <lgob/common/types.h>
#include <lgob/gobject/types.h>

#define LGOBGST_TIMESCALE 1000000

extern int priv_timescale;

int lgob_object_gc(lua_State* L);
int lgob_version(lua_State* L);
int lgob_get_timescale(lua_State* L);
int lgob_set_timescale(lua_State* L);

void object_new(lua_State* L, gpointer ptr, gchar* name);
void struct_new(lua_State* L, gpointer ptr, gboolean need_unref);

#endif
